Bitdefender Partner License Update for Air Gap

Version 1

    Every two years, we are required to renew our Bitdefender Partner License to allow continued functionality in the Antivirus Module. This partner license has recently been renewed, and any server version between 8.2 and 8.5 Update 1 will receive the updated license during System Replication via GSS. However, customers that have air gap installations with the Antivirus Module will require a manual update by running a hotfix on their system.

     

    Note: Future versions of the product will also contain the updated partner license. This hotfix is only applicable to versions between 8.2 and 8.5 Update 1, so it is unnecessary to run this hotfix in future versions of the product.

     

    Instructions

     

    1. Download the hotfix attached to this document and transfer it to the air-gapped server.
    2. Extract the hotfix from the ZIP file.
    3. Run the hotfix. Note: The user who runs the hotfix must have administrative permission to the Server and SQL.
    4. Once finished, endpoints with the AV module will automatically receive a new policy containing the updated license.

     

     

    Symptoms of expired Partner License

     

    The original partner license expires on 31 December 2017. If the Server is not updated before this date, certain behaviors may occur:

     

    1. New AV definitions may not be accepted by endpoints.
    2. An error will be logged in the lmhost-main.log:

      2018-09-05-06:53:56,598,critical,av,"ThreatScanner_CreateInstance() failed with error code[0xc0001001]"
    3. Files quarantined on the endpoint may be restored to their original locations.
      1. If executed or scanned again, these restored files will be identified as viruses and returned to the quarantine.
      2. This behavior may trigger large amounts of virus warning emails, depending on how many quarantined files are in play and how often the system is scanned.

     

    Additional Notes

    • If the hotfix is applied after the partner license has expired, it may be necessary to deploy a new AV definition in order for the change to take effect. In extreme cases, a restart of the endpoint may be required for the endpoint to recover completely.
    • If the server is being upgraded between versions 8.2 and 8.5 Update 1 (for example: upgrading 8.3 to 8.4), the hotfix must be reapplied after the upgrade is complete since the expired license will be reintroduced to the environment.
    • If the server is between versions 8.2 and 8.5 Update 1 and the AV Server Module is uninstalled and reinstalled for any reason, the hotfix must be reapplied.